Bug 1796821 - pypy3 fails to build with gcc 10 on x86: multiple definition of '_PyThreadState_Current'
Summary: pypy3 fails to build with gcc 10 on x86: multiple definition of '_PyThreadSta...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pypy3
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-31 10:31 UTC by Miro Hrončok
Modified: 2020-04-29 12:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-29 12:41:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-01-31 10:31:39 UTC
Description of problem:
pypy3 fails to build with gcc 10 on i686 and x86_64:

https://koji.fedoraproject.org/koji/taskinfo?taskID=41244769


	/usr/bin/ld.gold: error: vmprof_common.o: multiple definition of '_PyThreadState_Current'
	/usr/bin/ld.gold: rvmprof.o: previous definition here
	collect2: error: ld returned 1 exit status


Version-Release number of selected component: pypy3-7.3.0-2.fc32


See https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/RYVPP45PMWPXYBBDKXO3CI7YGL7CDQG6/ and https://gcc.gnu.org/gcc-10/porting_to.html#common for more information about the failure.

Comment 1 Miro Hrončok 2020-01-31 10:42:34 UTC
Upstream report: https://bitbucket.org/pypy/pypy/issues/3163

Comment 2 Ben Cotton 2020-02-11 17:21:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 3 Miro Hrončok 2020-02-12 19:07:24 UTC
Workaround in: https://src.fedoraproject.org/rpms/pypy3/pull-request/17


Note You need to log in before you can comment on or make changes to this bug.